%define rel 1

Name:           pavucontrol-qt
Version:        1.3.0
Release:        %mkrel %{rel}
Summary:        Qt5 port of volume control pavucontrol
Group:          Graphical desktop/KDE
License:        GPLv2+
URL:            https://lxqt-project.org/
Source0:        https://github.com/lxqt/pavucontrol-qt/releases/download/%{version}/%{name}-%{version}.tar.xz
BuildRequires:  cmake
BuildRequires:  cmake(KF5WindowSystem)
BuildRequires:  cmake(lxqt-build-tools)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5DBus)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Help)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xdg)
BuildRequires:  pkgconfig(lxqt) >= %{version}
BuildRequires:  pkgconfig(libpulse) >= 5.0
BuildRequires:  pkgconfig(libpulse-mainloop-glib) >= 0.9.16
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  xdg-user-dirs

Provides:       pulseaudio-volume-control

%description
Qt5 port of volume control pavucontrol.

%prep
%setup -q
%autopatch -p1

%build
%cmake_qt5

%cmake_build

%install
%cmake_install

%files
%doc AUTHORS CHANGELOG README.md
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}/


%changelog
* Sun Apr 16 2023 papoteur <papoteur> 1.3.0-1.mga9
+ Revision: 1953144
- new version 1.3.0

* Mon Feb 06 2023 papoteur <papoteur> 1.2.0-2.mga9
+ Revision: 1938789
- rebuild for compilation with C++17 standard

* Sun Nov 06 2022 papoteur <papoteur> 1.2.0-1.mga9
+ Revision: 1904142
- new version 1.2.0

* Mon Apr 25 2022 papoteur <papoteur> 1.1.0-1.mga9
+ Revision: 1853313
- Release 1.1.0

* Tue Apr 05 2022 umeabot <umeabot> 1.0.0-2.mga9
+ Revision: 1845265
- Mageia 9 Mass Rebuild

* Sun Dec 12 2021 neoclust <neoclust> 1.0.0-1.mga9
+ Revision: 1761715
- Remove old conflicts ( from papoteur ).
- New version 1.0.0

* Sat Apr 17 2021 daviddavid <daviddavid> 0.17.0-1.mga9
+ Revision: 1716212
- New version 0.17.0

* Thu Dec 17 2020 umeabot <umeabot> 0.16.0-2.mga8
+ Revision: 1659288
- Rebuild for new Qt5

* Sat Nov 07 2020 daviddavid <daviddavid> 0.16.0-1.mga8
+ Revision: 1643191
- New version 0.16.0
- update Url

* Sat Apr 25 2020 daviddavid <daviddavid> 0.15.0-1.mga8
+ Revision: 1571829
- New version 0.15.0
+ danf <danf>
- Switch URLs from http: to https:

* Sat Feb 15 2020 umeabot <umeabot> 0.14.1-3.mga8
+ Revision: 1524849
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Sun Mar 31 2019 umeabot <umeabot> 0.14.1-2.mga7
+ Revision: 1383864
- Qt5 Rebuild

* Thu Mar 28 2019 daviddavid <daviddavid> 0.14.1-1.mga7
+ Revision: 1380845
- new version: 0.14.1

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-2.mga7
+ Revision: 1361443
- conflicts deprecated lxqt-l10n package

* Sun Jan 27 2019 daviddavid <daviddavid> 0.14.0-1.mga7
+ Revision: 1361425
- New version 0.14.0

* Fri Dec 28 2018 daviddavid <daviddavid> 0.4.0-3.mga7
+ Revision: 1345496
- rebuild for new Qt5 5.12.0

* Sun Sep 23 2018 umeabot <umeabot> 0.4.0-2.mga7
+ Revision: 1300124
- Mageia 7 Mass Rebuild

* Sat Jun 02 2018 daviddavid <daviddavid> 0.4.0-1.mga7
+ Revision: 1233584
- new version: 0.4.0

* Sun Dec 31 2017 dglent <dglent> 0.3.0-1.mga7
+ Revision: 1188212
- Version 0.3.0

* Sun Jan 29 2017 zezinho <zezinho> 0.2.0-2.mga6
+ Revision: 1083917
- Provide pulseaudio-volume-control (mga#20197)

* Tue Jan 03 2017 daviddavid <daviddavid> 0.2.0-1.mga6
+ Revision: 1079860
- new version: 0.2.0

* Fri Nov 11 2016 daviddavid <daviddavid> 0.1.0-2.mga6
+ Revision: 1066425
- requires lxqt-l10n instead of recommends

* Fri Nov 11 2016 daviddavid <daviddavid> 0.1.0-1.mga6
+ Revision: 1066374
- imported package pavucontrol-qt

